## Perforce Server Storeage Analyzer

This utility helps you to keep an eye on the storage being
consumed by users of your Perforce server.

It is intended for use by administrators as _*it needs to be
run either directly on the server machine, or with direct access
to a copy of the filesystem(s) where archive (versioned) files
are stored*_.

## Output

Two files - output.csv contains details, and summary.csv overall summary.

output.csv
change,user,workspace,submitDateTime,fileCount,lazyCount,path,clientSize,archiveSizeRCS,archiveSizeBinary
12,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/06 13:00:28,1,0,//stream/main/storageanalyzer/p4storageanalyzer.py,7803,21849,0
12,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/06 13:00:28,1,0,//stream/main/storageanalyzer/test/testp4storageanalyzer.py,3755,20103,0
11,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/03 17:46:09,1,0,//stream/main/storageanalyzer/p4storageanalyzer.py,5504,21849,0
11,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/03 17:46:09,1,0,//stream/main/storageanalyzer/test/testp4storageanalyzer.py,2585,20103,0
10,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/03 16:46:37,1,0,//stream/main/storageanalyzer/p4storageanalyzer.py,4709,21849,0
10,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/03 16:46:37,1,0,//stream/main/storageanalyzer/test/p4testutils.py,4695,4870,0
10,robert_cowham,robert_cowham-dvcs-1525272848,2018/07/03 16:46:37,1,0,//stream/main/storageanalyzer/test/testp4storageanalyzer.py,2195,20103,0


### ToDo List

- depot filesystem access issues
- other permissions issues?
- continuous change processing (counter)
- archive depots
- purged files
- web interface

